echo off
echo :
echo :  Installation batch file for installing
echo :   PC-STRAN(tm) v. 5.0x to a hard disk
echo :
echo :  USAGE:
echo :  install floppy_source_drive hard_disk_destination_drive
echo :
echo :  EXAMPLE:
echo :  with drive "a" - a floppy drive, drive "c" - a hard disk
echo :
echo :  install a c
echo :
if "%1" == "" goto error0
if "%2" == "" goto error0
echo :  Source Drive is "%1"     Destination Drive is "%2"
echo :
echo :  Type  ctrl-C  to abort this installation or
pause

%1:ifdir %2:\pcstran
if errorlevel 1 md %2:\pcstran >nul

copy %1:\install1.bat %2:\pcstran >nul
copy %1:\ifdir.com %2:\pcstran >nul
if not exist %2:\pcstran\ifdir.com goto error1

%2:\pcstran\ifdir %2:\pcstran\programs
if errorlevel 1 md %2:\pcstran\programs >nul

echo :
echo :     Installing PROGRAMS (i.e. executable files) in subdirectory
echo :       %2:\pcstran\programs

copy %1:*.exe %2:\pcstran\programs > nul
copy %1:msherc.com %2:\pcstran\programs > nul
copy %1:pc-rpt.bas %2:\pcstran\programs > nul
copy %1:paths.scr %2:\pcstran\programs >nul
if not exist %2:\pcstran\programs\paths.scr goto error1

%2: >nul
cd pcstran >nul
install1 %1 %2

:error1
echo !
echo !  We have a problem here.  Is your hard disk full? 
echo !
echo !  Installation aborted.
goto end

:error0
echo !
echo !  We have a problem here.
echo !
echo !  Did you specify a source and destination drive? 
echo !
echo !  Installation aborted.

:end
